***************************************************
	Shoutcast2 - VDR Eine kurze Anleitung:
***************************************************

Beschreibung:
===========
Wem es vom Namen her noch nciht klar ist. Das Skript hier soll dazu dienen, Playlisten von www.shoutcast.com herunterzuladen
und sie so abzuspeichern, dass das VDR MP3-Plugin die Streams abspielen kann.

Installation:
=========
Folgendes aus dem Archiv nach /etc/vdr/scripts/shoutcast2vdr/ kopieren:

shoutcast2vdr-x.x.x  (wobei das x für die jeweilige Version steht)
shoutcastdel
shoutcast2vdr (bloss ein link auf die aktuelle Version)


Die Datei shoutcast2vdr-x.x.x editieren und dort die Variabeln auf das System anpassen:
Wenn das erledigt ist die Dateien jeweils ausführbar machen.

cd /etc/vdr/scripts/shoutcast2vdr/
chmod 755 shoutcastdel
chmod 755 shoutcast2vdr-x.x.x
chmod 755 shoutcast2vdr

Dann je nach Bedarf das unten Angehängte in die commands.conf einpflegen.
Ich hab den Patch drauf, mit dem man Untermenus in den command-Menus mit "-" erstellen kann, damits einem nicht gleich erschlägt, bei den vielen Einträgen.
Dieser Patch ist beim kp (jedenfalls beim 0.4 dabei) Heissen tut der genau "cmd" : Im Befehlsmenue kann eine Menuestruktur erstellt werden.
Dieser Patch ist aber natürlich nicht Voraussetzung, aber sehr nice2have bei sovielen Befehlen ;-)


Hier nun die Einträge, die in die commands.conf übernommen werden können.
=========================================================================================================================
===|| S h o u t c a s t  G e n r e  U p d a t e n						: echo "no function"
-Shoutcast - Alternative - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Alternative 50"|at now
-Shoutcast - College - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr College 50"|at now
-Shoutcast - Industrial - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Industrial 50"|at now
-Shoutcast - Punk - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Punk 50"|at now
-Shoutcast - Hardcore - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Hardcore 50"|at now
-Shoutcast - Ska - Playlist update starten?						: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Ska 50"|at now
-Shoutcast - Americana - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Americana 50"|at now
-Shoutcast - Blues - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Blues 50"|at now
-Shoutcast - Folk - Playlist update starten?						: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Folk 50"|at now
-Shoutcast - Cajun - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Cajun 50"|at now
-Shoutcast - Bluegrass - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Bluegrass 50"|at now
-Shoutcast - Classical - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Classical 50"|at now
-Shoutcast - Contemporary - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Contemporary 50"|at now
-Shoutcast - Opera - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Opera 50"|at now
-Shoutcast - Symphonic - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Symphonic 50"|at now
-Shoutcast - Country - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Country 50"|at now
-Shoutcast - Western - Swing Playlist update starten?			: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Western Swing 50"|at now
-Shoutcast - New Country - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr New Country 50"|at now
-Shoutcast - Electronic - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Electronic 50"|at now
-Shoutcast - Ambient - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Ambient 100"|at now
-Shoutcast - Drum and Bass - Playlist update starten?			: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Drum and Bass 50"|at now
-Shoutcast - Trance - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Trance 100"|at now
-Shoutcast - Techno - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Techno 100"|at now
-Shoutcast - House - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr House 100"|at now
-Shoutcast - Downtempo - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Downtempo 100"|at now
-Shoutcast - Breakbeat - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Breakbeat 50"|at now
-Shoutcast - Acid Jazz - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Acid Jazz 50"|at now
-Shoutcast - Hip Hop - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Hip%20Hop 50"|at now
-Shoutcast - Turntablism - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Turntablism 50"|at now
-Shoutcast - Old School - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Old School 50"|at now
-Shoutcast - New School - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr New School 50"|at now
-Shoutcast - Jazz - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Jazz 50"|at now
-Shoutcast - Latin - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Latin 50"|at now
-Shoutcast - Swing - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Swing 50"|at now
-Shoutcast - Big Band - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Big Band 50"|at now
-Shoutcast - Classic - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Classic 50"|at now
-Shoutcast - Smooth - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Smooth 50"|at now
-Shoutcast - Pop/Rock - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Pop/Rock 50"|at now
-Shoutcast - Oldies - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Oldies 50"|at now
-Shoutcast - 80s - Playlist update starten?						: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr 80s 50"|at now
-Shoutcast - Top 40 - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Top 40 40"|at now
-Shoutcast - Metal - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Metal 100"|at now
-Shoutcast - Rock - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Rock 100"|at now
-Shoutcast - Pop - Playlist update starten?						: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Pop 100"|at now
-Shoutcast - R'nB/Soul - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr R%26B/Soul 50"|at now
-Shoutcast - Funk - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Funk 50"|at now
-Shoutcast - Urban - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Urban 50"|at now
-Shoutcast - Spiritua -l Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Spiritual 50"|at now
-Shoutcast - Gospel - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Gospel 50"|at now
-Shoutcast - Reggae - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Reggae 50"|at now
-Shoutcast - African - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr African 50"|at now
-Shoutcast - European - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr European 50"|at now
-Shoutcast - Middle Eastern - Playlist update starten?			: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Middle Eastern 50"|at now
-Shoutcast - Asian - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Asian 50"|at now
-Shoutcast - Eclectic - Playlist update starten?					: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Eclectic 50"|at now
-Shoutcast - Film - Playlist update starten?						: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Film 50"|at now
-Shoutcast - Instrumental - Playlist update starten?				: echo "/etc/vdr/scripts/shoutcast2vdr/shoutcast2vdr Instrumental 50"|at now
===|| S h o u t c a s t  G e n r e  l ö c h e n						: echo "no function"
-Shoutcast - Alternative - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Alternative &
-Shoutcast - College - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel College &
-Shoutcast - Industrial - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Industrial &
-Shoutcast - Punk - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Punk &
-Shoutcast - Hardcore - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Hardcore &
-Shoutcast - Ska - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Ska &
-Shoutcast - Americana - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Americana &
-Shoutcast - Blues - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Blues &
-Shoutcast - Folk - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Folk &
-Shoutcast - Cajun - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Cajun &
-Shoutcast - Bluegrass - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Bluegrass &
-Shoutcast - Classical - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Classical &
-Shoutcast - Contemporary - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Contemporary &
-Shoutcast - Opera - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Opera &
-Shoutcast - Symphonic - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Symphonic &
-Shoutcast - Country - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Country &
-Shoutcast - Western - Swing Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Western Swing &
-Shoutcast - New Country - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel New Country &
-Shoutcast - Electronic - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Electronic &
-Shoutcast - Ambient - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Ambient &
-Shoutcast - Drum and Bass - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Drum and Bass &
-Shoutcast - Trance - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Trance &
-Shoutcast - Techno - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Techno &
-Shoutcast - House - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel House &
-Shoutcast - Downtempo - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Downtempo &
-Shoutcast - Breakbeat - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Breakbeat &
-Shoutcast - Acid Jazz - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Acid Jazz &
-Shoutcast - Hip Hop - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Hip%20Hop &
-Shoutcast - Turntablism - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Turntablism &
-Shoutcast - Old School - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Old School &
-Shoutcast - New School - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel New School &
-Shoutcast - Jazz - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Jazz &
-Shoutcast - Latin - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Latin &
-Shoutcast - Swing - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Swing &
-Shoutcast - Big Band - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Big Band &
-Shoutcast - Classic - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Classic &
-Shoutcast - Smooth - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Smooth &
-Shoutcast - Pop/Rock - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Pop/Rock &
-Shoutcast - Oldies - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Oldies &
-Shoutcast - 80s - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel 80s &
-Shoutcast - Top 40 - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Top 40 40"|at now
-Shoutcast - Metal - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Metal &
-Shoutcast - Rock - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Rock &
-Shoutcast - Pop - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Pop &
-Shoutcast - R'nB/Soul - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel R%26B/Soul &
-Shoutcast - Funk - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Funk &
-Shoutcast - Urban - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Urban &
-Shoutcast - Spiritua -l Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Spiritual &
-Shoutcast - Gospel - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Gospel &
-Shoutcast - Reggae - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Reggae &
-Shoutcast - African - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel African &
-Shoutcast - European - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel European &
-Shoutcast - Middle Eastern - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Middle Eastern &
-Shoutcast - Asian - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Asian &
-Shoutcast - Eclectic - Playlist löschen?						: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Eclectic &
-Shoutcast - Film - Playlist löschen?							: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Film &
-Shoutcast - Instrumental - Playlist löschen?					: /etc/vdr/scripts/shoutcast2vdr/shoutcastdel Instrumental &
=========================================================================================================================

Merkwürdigerweise ist es nicht möglich das "Genre" Top25 herunterzuladen, weiss bisher nicht wiso. (daher hab ich es auch garnicht erst hier gelistet)


Für das MP3-Player-Plugin noch rasch einen Eintrag für die Streams machen:

mp3sources.conf:
/etc/vdr/Network-Streams;Network-Streams;0;*

Hoffe es klappt, viel Spass!
Unimatrix0
